using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Panes;

namespace PaneTest {
	public partial class Form1 : Form {


		public Form1() {
			InitializeComponent();
		}

		// this fixes a bug.. dunno why it occurs
		private void Form1_FormClosing(object sender, FormClosingEventArgs e) {
			e.Cancel = false;
		}

		private void buttonLeftToolStripMenuItem_Click(object sender, EventArgs e) {
			AddButtonCommon(DockStyle.Left);
		}

		private void buttonRightToolStripMenuItem_Click(object sender, EventArgs e) {
			AddButtonCommon(DockStyle.Right);
		}

		private void buttonFillToolStripMenuItem_Click(object sender, EventArgs e) {
			AddButtonCommon(DockStyle.Fill);
		}

		private void buttonTopToolStripMenuItem_Click(object sender, EventArgs e) {
			AddButtonCommon(DockStyle.Top);
		}

		private void buttonBottomToolStripMenuItem_Click(object sender, EventArgs e) {
			AddButtonCommon(DockStyle.Bottom);
		}

		private void AddButtonCommon(DockStyle position) {
			Button b = new Button();

			Pane p = new Pane(b, "Pane");
			b.Text = p.Text = p.Name;

			paneContainer.AddPane(p, position);

			p.Width = Width / 4;
			p.Height = Height / 4;
		}

	}
}